Provero Logo

Email verification API

The Email verification API allows you to validate email addresses, check their deliverability, and assess the risk associated with them among other detailed information.

Endpoint

POST
https://api.provero.io/api/validate/email

Headers

Authorization:
Content-Type: application/json
Accept: application/json


Request Body

Field Type Required Description
email string Yes The email to be validated.
Request Payload Example (JSON)
{
    "email": "test@example.com"
}

Request Examples

Choose language Bash (cURL) 5 examples
userEmail="REPLACE_WITH_EMAIL"

curl -X POST https://api.provero.io/api/validate/email \
  -H "Authorization: Bearer REPLACE_WITH_API_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d "{\"email\": \"$userEmail\"}"

Response Examples

Choose response example Success 5 examples
{
    "emailAddress": "user@example.com",
    "isSyntaxValid": true,
    "isMailboxDeliverable": false,
    "isCatchAll": false,
    "typoSuggestion": "user@example.com",
    "isDisposable": false,
    "isRoleBased": false,
    "riskLevel": "HIGH",
    "checkResult": "missingMX"
}

Response Body

Success structure

Field Name Type Always
Returned
Example
emailAddress string Yes
isSyntaxValid boolean Yes
isMailboxDeliverable boolean Yes
isCatchAll boolean Yes
typoSuggestion string Yes
isDisposable boolean Yes
isRoleBased boolean Yes
riskLevel string Yes
checkResult string No

Error structure

Field Name Type Always
Returned
Example Description
message string No Top-level error message returned on validation failure, insufficient balance, or other request errors.
errors object No Object of validation services with validation failures.
requestError object No Object containing service exceptions for application errors.
service string No Service alias returned with a 402 insufficient-balance response.
required_amount string No Credit amount required to process the validation request.
current_balance string No Current available balance at the time the request was rejected.